#
# spec file for package yaru-theme
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name   yaru
Name:           yaru-theme
Version:        18.10.7
Release:        1.1
Summary:        Yaru theme from the Ubuntu community
License:        GPL-3.0-or-later AND LGPL-2.1-only AND LGPL-3.0-only AND CC-BY-SA-4.0
Group:          System/GUI/Other
URL:            https://community.ubuntu.com/c/desktop/theme-refresh
Source:         https://github.com/ubuntu/yaru/archive/%{version}.tar.gz#/%{_name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson
BuildRequires:  sassc
BuildArch:      noarch

%description
This is the theme shaped by the community on the Ubuntu hub.

%package -n metatheme-yaru-common
Summary:        Common files for the Yaru Gtk Theme
License:        GPL-3.0-or-later AND LGPL-2.1-only AND LGPL-3.0-only AND CC-BY-SA-4.0
Group:          System/GUI/Other
Recommends:     sound-theme-yaru
Recommends:     yaru-icon-theme
Suggests:       gtk2-metatheme-yaru
Suggests:       gtk3-metatheme-yaru

%description -n metatheme-yaru-common
This is the theme shaped by the community on the Ubuntu hub.

%package -n gtk2-metatheme-yaru
Summary:        GTK+ 2 support for the Yaru Gtk Theme
License:        GPL-3.0-or-later AND LGPL-2.1-only AND LGPL-3.0-only AND CC-BY-SA-4.0
Group:          System/GUI/Other
Requires:       gtk2-engine-murrine
Requires:       gtk2-theming-engine-adwaita
Requires:       metatheme-yaru-common = %{version}
Supplements:    packageand(metatheme-yaru-common:gtk2)

%description -n gtk2-metatheme-yaru
This is the theme shaped by the community on the Ubuntu hub.

%package -n gtk3-metatheme-yaru
Summary:        GTK+ 3 support for the Yaru Gtk Theme
License:        GPL-3.0-or-later AND LGPL-2.1-only AND LGPL-3.0-only AND CC-BY-SA-4.0
Group:          System/GUI/Other
Requires:       gtk3
Requires:       metatheme-yaru-common = %{version}
Supplements:    packageand(metatheme-yaru-common:gtk3)

%description -n gtk3-metatheme-yaru
This is the theme shaped by the community on the Ubuntu hub.

%package -n yaru-icon-theme
Summary:        Yaru icon theme
License:        CC-BY-SA-4.0
Group:          System/X11/Icons
Requires:       hicolor-icon-theme
Requires:       humanity-icon-theme

%description -n yaru-icon-theme
This is the theme shaped by the community on the Ubuntu hub.

This package contains the icon theme.

%package -n sound-theme-yaru
Summary:        Yaru sound theme
License:        CC-BY-SA-4.0
Group:          System/Libraries

%description -n sound-theme-yaru
This is the theme shaped by the community on the Ubuntu hub.

This package contains the sound theme following the XDG theming
specification.

%prep
%setup -q -n %{_name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

rm %{buildroot}%{_datadir}/glib-2.0/schemas/99_Yaru.gschema.override \
  %{buildroot}%{_datadir}/xsessions/Yaru.desktop \
  %{buildroot}%{_datadir}/wayland-sessions/Yaru-wayland.desktop

%fdupes %{buildroot}%{_datadir}/themes/Yaru/
%fdupes %{buildroot}%{_datadir}/icons/Yaru/

%if 0%{?suse_version} < 1500
%post -n yaru-icon-theme
%icon_theme_cache_post Yaru

# No need for %%icon_theme_cache_postun in %%postun since the theme won't exist anymore.
%endif

%files -n metatheme-yaru-common
%license COPYING* LICENSE_CCBYSA
%doc debian/changelog AUTHORS CONTRIBUTING.md README.md
%{_datadir}/themes/Yaru/
%exclude %{_datadir}/themes/Yaru/gtk-?.*/
%{_datadir}/themes/Yaru-dark/
%exclude %{_datadir}/themes/Yaru-dark/gtk-?.*/
%dir %{_datadir}/gnome-shell/
%dir %{_datadir}/gnome-shell/theme/
%{_datadir}/gnome-shell/theme/Yaru/
%dir %{_datadir}/gnome-shell/modes/
%{_datadir}/gnome-shell/modes/yaru.json
%dir %{_datadir}/gnome-shell/extensions/
%dir %{_datadir}/gnome-shell/extensions/ubuntu-dock@ubuntu.com/
%{_datadir}/gnome-shell/extensions/ubuntu-dock@ubuntu.com/yaru.css

%files -n gtk2-metatheme-yaru
%{_datadir}/themes/Yaru/gtk-2.*/

%files -n gtk3-metatheme-yaru
%{_datadir}/themes/Yaru/gtk-3.*/
%{_datadir}/themes/Yaru-dark/gtk-3.*/

%files -n yaru-icon-theme
%license COPYING* LICENSE_CCBYSA
%doc debian/changelog AUTHORS CONTRIBUTING.md README.md
%ghost %{_datadir}/icons/Yaru/icon-theme.cache
%{_datadir}/icons/Yaru/

%files -n sound-theme-yaru
%license COPYING* LICENSE_CCBYSA
%doc debian/changelog AUTHORS CONTRIBUTING.md README.md
%{_datadir}/sounds/Yaru/

%changelog
* Sun Nov 25 2018 sor.alexei@meowr.ru
- Update to version 18.10.7:
  * See /usr/share/doc/packages/metatheme-yaru-common/changelog
* Wed Aug  8 2018 jengelh@inai.de
- Do away with em dashes in summary.
* Fri Aug  3 2018 sor.alexei@meowr.ru
- Initial package.
